[RISOLTO]Installazione di budgie

Problemi con l'installazione di pacchetti

[RISOLTO]Installazione di budgie

Messaggioda Paolo14 » 21/06/2016, 6:12

Ciao, ho intenzione di installare budgie su debian, ma ci sono due pacchetti in conflitto. Volendo togliere libmutter0e, mi dice che mi elimina anche gnome :(

Codice: Seleziona tutto
root@station:/home/paolo# apt-get install budgie-desktop
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
 budgie-desktop : Dipende: libmutter0h ma non è installabile
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.
root@station:/home/paolo# cd /Scaricati
bash: cd: /Scaricati: File o directory non esistente
root@station:/home/paolo# clear

root@station:/home/paolo# apt-get install budgie-desktop
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
 budgie-desktop : Dipende: libmutter0h ma non è installabile
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.
root@station:/home/paolo# cd /home/paolo/Scaricati
root@station:/home/paolo/Scaricati# dpkg -i libmutter0h_3.20.2-1_amd64.deb
dpkg: informazioni su libmutter0h_3.20.2-1_amd64.deb che contiene libmutter0h:
 libmutter0h è in conflitto con libmutter0e
  libmutter0e (versione 3.14.4-1~deb8u1) è presente e installato.

dpkg: errore nell'elaborare l'archivio libmutter0h_3.20.2-1_amd64.deb (--install):
 pacchetti in conflitto - libmutter0h non verrà installato
Si sono verificati degli errori nell'elaborazione:
 libmutter0h_3.20.2-1_amd64.deb
root@station:/home/paolo/Scaricati# apt-get remove libmutter0e
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  libclutter-1.0-dev libcogl-dev libcogl-pango-dev libcogl-path-dev libdrm-dev
  libegl1-mesa-dev libgbm-dev libgl1-mesa-dev libgles2-mesa-dev libinput-dev
  libjson-glib-dev libudev-dev libx11-xcb-dev libxcb-dri2-0-dev
  libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev libxcb-randr0-dev
  libxcb-shape0-dev libxcb-sync-dev libxcb-xfixes0-dev libxshmfence-dev
  libxxf86vm-dev mesa-common-dev x11proto-dri2-dev x11proto-gl-dev
  x11proto-xf86vidmode-dev
Usare "apt-get autoremove" per rimuoverli.
I seguenti pacchetti saranno RIMOSSI:
  gdm3 gir1.2-mutter-3.0 gnome gnome-core gnome-session gnome-shell
  gnome-shell-extension-weather gnome-shell-extensions libmutter-dev
  libmutter0e mutter task-gnome-desktop
0 aggiornati, 0 installati, 12 da rimuovere e 87 non aggiornati.
Dopo quest'operazione, verranno liberati 18,0 MB di spazio su disco.
Continuare? [S/n]


Grazie in anticipo
Ultima modifica di Paolo14 il 23/06/2016, 13:46, modificato 1 volta in totale.
Paolo14
Newbie
Newbie
 
Messaggi: 15
Iscritto il: 18/06/2016, 13:07

Re: Installazione di budgie

Messaggioda Selky » 21/06/2016, 15:16

Il pacchetto "budgie-desktop" non è presente nei repository ufficiali Debian.

Per chi sarà in grado di aiutarti, devi fornire maggiori informazioni su dove e come lo hai prelevato, quali indicazioni stai seguendo e così via. ;)
Selky
wiki member
wiki member
 
Messaggi: 1401
Iscritto il: 30/12/2011, 1:00

Re: Installazione di budgie

Messaggioda Paolo14 » 21/06/2016, 18:44

Sto seguendo gueste due guide
1)https://wiki.solus-project.com/Budgie_on_other_Operating_Systems
2)https://solus-project.com/forums/viewtopic.php?t=1361

La prima mi ha dato problemi e allora ho iniziato a seguire la seconda.

Il pacchetto si trova nel repository di sparky (distro basata su debian): deb http://sparkylinux.org/repo testing main
Paolo14
Newbie
Newbie
 
Messaggi: 15
Iscritto il: 18/06/2016, 13:07

Re: Installazione di budgie

Messaggioda Selky » 21/06/2016, 22:54

Sei su Debian Jessie con Gnome, se non sbaglio giorni fa parlavi di Xfce, deduco tu abbia cambiato DE.

Da quello che ho compreso...
Il problema che rilevi riguarda le dipedenze della libreria del window manager mutter che, a seconda della release Debian, utilizza nomi diversi (lettere dell'alfabeto finale):
- sulla stable Jessie c'è "libmutter0e" che è una dipendenza di Gnome-shell propria di Jessie.
- Il pacchetto che vuoi installare invece richiede "libmutter0h" che è una dipendenza di gnome-shell ma della testing Stretch.
Selky
wiki member
wiki member
 
Messaggi: 1401
Iscritto il: 30/12/2011, 1:00

Re: Installazione di budgie

Messaggioda Paolo14 » 23/06/2016, 13:45

Allora aspetto per la prossima release di Debian, senza comibinare casini.
Grazie mille
Paolo14
Newbie
Newbie
 
Messaggi: 15
Iscritto il: 18/06/2016, 13:07


Torna a Installazione

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti